﻿Module AdobeColors
    'Font
    Public ReadOnly FontColor As Color = Color.White
    Public ReadOnly ShadowColor As Color = Color.Black

    'General
    Public ReadOnly BackgroundColor As Color = Color.FromArgb(&HFF383838)
    Public ReadOnly HeaderBackgroundColor As Color = Color.FromArgb(&HFF4D4D4D)

    'Controls
    Public ReadOnly ControlGenericColor As Color = Color.FromArgb(&HFF3E3E3E)
    Public ReadOnly ControlHighlightColor As Color = Color.FromArgb(&HFF5C5C5C)
    Public ReadOnly ControlFocusColor As Color = Color.FromArgb(&HFF6CB2FD)

    'Button
    Public ReadOnly ButtonGradientColor As Color = Color.FromArgb(&HFF696969)
    Public ReadOnly ButtonHighlightGradientColor As Color = Color.FromArgb(&HFF848484)
    Public ReadOnly ButtonPressedColor As Color = Color.FromArgb(&HFF393939)

    'Progress bar
    Public ReadOnly ProgressBarTopStartColor As Color = Color.FromArgb(&HFF73B8EC)
    Public ReadOnly ProgressBarTopEndColor As Color = Color.FromArgb(&HFF4698D8)
    Public ReadOnly ProgressBarBottomStartColor As Color = Color.FromArgb(&HFF3285CF)
    Public ReadOnly ProgressBarBottomEndColor As Color = Color.FromArgb(&HFF0965BB)
    Public ReadOnly ProgressBarBackgroundColor As Color = Color.FromArgb(&HFF2E2E2E)

    'Border
    Public ReadOnly BorderColor As Color = Color.Black
    Public ReadOnly InnerBorderColor As Color = Color.FromArgb(&HFF5C5C5C)
End Module

Module AdobeMetrics
    'Border
    Public ReadOnly BorderWidth As Integer = 1

    'Checkbox
    Public ReadOnly CheckBoxSize As Integer = 14
End Module
